chrome.tabs.onUpdated.addListener(function (tabId, changeInfo, tab) {
    // Получить URL текущей вкладки
    var url = tab.url;
    var manifestData = chrome.runtime.getManifest();
    var enabled = false;
    manifestData.content_scripts[0].matches.forEach((element) => {
        console.log(element + " " + url.includes(element));
        enabled = url.includes(element)
    });
    if (enabled) {
        chrome.action.setIcon({ path: {
            "64" : "icons/iconEn64.png",
            "128" : "icons/iconEn128.png" 
        }, tabId: tabId });
        // Установить обработчик клика по иконке
        chrome.action.onClicked.addListener(function (tab) {
            // Выполнить какое-то действие при клике
        });
    } else {
        chrome.action.setIcon({ path: {
             "64" : "icons/iconDis64.png",
             "128" : "icons/iconDis128.png"
            }, tabId: tabId });
        // Установить обработчик клика по иконке
        chrome.action.onClicked.addListener(function (tab) {
            // Показать alert при клике
            alert("This extension is not available for this page");
        });
    }
});